import socket
def get_ip_address():
    try:
        # 创建一个socket对象
        s = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
        # 连接到一个公共DNS服务器（此处以Google DNS为例）
        s.connect(("8.8.8.8", 80))
        # 获取本机的IP地址
        ip_address = s.getsockname()[0]
        s.close()
        return ip_address
    except Exception as e:
        return str(e)
api_key = "sk-iREtaVNjamaBArOTlc_2BfGFJVPiU-9EjSFMUspIPBT3BlbkFJxS0SMmKZD9L9UumPczee4VKawCwVeGBQAr9MgsWGkA"
basic_path = './process'
openai_url = 'https://api.openai.com/v1'
proxy_url = 'https://fast.bemore.lol/v1'
cls_system_prompt = '你是一个名字判断专家，你需要根据提供的列表中的每一个字典元素的会员姓名，判断其名字分类,分别为3类: 亚裔华人，亚裔非华人, 非亚裔，并将结果填充到会员分类中, 整合之后返回与提供数据一样的格式给我'
user_prompt = """提供的数据:{chunk}
                返回的数据:"""
port = 8071
ip = get_ip_address()
file_base_url = f'https://ncls.gloria.com.cn:8070/data'
model_save_path = '/dalin/name_classify/bert/model/bert-name-classify/best_model_2024_9_4.pkl'
pre_train_model = '/dalin/name_classify/bert/model/bert-name-classify'
label_revert_map = {0:'亚裔华人', 1:'亚裔非华人', 2:'非亚裔'}
